Bug 91621

Summary: [Qt] fast/table tests needs update after rebaseline and new testfonts
Product: WebKit Reporter: Bruno Abinader (history only) <bruno.abinader>
Component: WebKit QtAssignee: Bruno Abinader (history only) <bruno.abinader>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, igor.oliveira, menard, noam, ossy, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 91570    
Bug Blocks: 85203, 91610, 91990    
Attachments:
Description Flags
Proposed patch
none
Proposed patch (v2) - rebased to avoid conflicts
none
Missing/Updated results patch
none
Missing/Updated results patch (+ ChangeLog)
none
Re-skip and remove added tests on WK2 platform
kenneth: review+, webkit.review.bot: commit-queue-
Re-skip and remove added tests on WK2 platform (v2) noam: review+

Description Bruno Abinader (history only) 2012-07-18 06:16:11 PDT
After the rebaseline from changeset 121971 - [Qt] DumpRenderTree does not use 'monospace' font when directed, fast/table tests directory needs to be updated.
Comment 1 Bruno Abinader (history only) 2012-07-18 09:12:59 PDT
Created attachment 153025 [details]
Proposed patch

Proposed patch
Comment 2 Alexis Menard (darktears) 2012-07-18 09:18:32 PDT
Comment on attachment 153025 [details]
Proposed patch

rs=me
Comment 3 Alexis Menard (darktears) 2012-07-18 09:21:00 PDT
Comment on attachment 153025 [details]
Proposed patch

rs=me
Comment 4 Bruno Abinader (history only) 2012-07-18 09:21:00 PDT
Created attachment 153027 [details]
Proposed patch (v2) - rebased to avoid conflicts

I've updated this patch as it might conflict with mainline due to old working tree of mine, now fixed.
Comment 5 WebKit Review Bot 2012-07-18 10:30:16 PDT
Comment on attachment 153027 [details]
Proposed patch (v2) - rebased to avoid conflicts

Clearing flags on attachment: 153027

Committed r122985: <http://trac.webkit.org/changeset/122985>
Comment 6 WebKit Review Bot 2012-07-18 10:30:21 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Bruno Abinader (history only) 2012-07-19 09:15:31 PDT
4 new failing tests according to latest build:

http://build.webkit.sed.hu/builders/x86-32%20Linux%20Qt%20Release%20WebKit2/builds/26755/steps/layout-test

List of failing fast/table tests:
  fast/table/003.html = TEXT
  fast/table/colspanMinWidth.html = TEXT
  fast/table/spanOverlapRepaint.html = TEXT
  fast/table/text-field-baseline.html = TEXT
Comment 8 Bruno Abinader (history only) 2012-07-19 10:48:15 PDT
Created attachment 153304 [details]
Missing/Updated results patch

This patch fixes the faulty results for fast/text directory after r122985.
Comment 9 Bruno Abinader (history only) 2012-07-19 11:03:41 PDT
Created attachment 153310 [details]
Missing/Updated results patch (+ ChangeLog)

Yet another missing ChangeLog...
Comment 10 Noam Rosenthal 2012-07-20 10:21:30 PDT
Comment on attachment 153310 [details]
Missing/Updated results patch (+ ChangeLog)

rs=me
Comment 11 WebKit Review Bot 2012-07-20 10:48:03 PDT
Comment on attachment 153310 [details]
Missing/Updated results patch (+ ChangeLog)

Clearing flags on attachment: 153310

Committed r123229: <http://trac.webkit.org/changeset/123229>
Comment 12 WebKit Review Bot 2012-07-20 10:48:09 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Bruno Abinader (history only) 2012-07-26 09:47:05 PDT
Setting status back to "reopened".
Comment 14 Bruno Abinader (history only) 2012-07-26 09:47:59 PDT
Created attachment 154673 [details]
Re-skip and remove added tests on WK2 platform

This patch removes and re-skips the added tests for qt-5.0-wk2 layout test platform directory. As discussed with Caio, these tests should be assigned to proper bugs instead.
Comment 15 Kenneth Rohde Christiansen 2012-07-26 10:21:05 PDT
Comment on attachment 154673 [details]
Re-skip and remove added tests on WK2 platform

ok
Comment 16 WebKit Review Bot 2012-07-26 10:25:37 PDT
Comment on attachment 154673 [details]
Re-skip and remove added tests on WK2 platform

Rejecting attachment 154673 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/spanOverlapRepaint-expected.txt'
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.png'
patching file LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.txt
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.txt'

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Kenneth Ro..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13345832
Comment 17 Bruno Abinader (history only) 2012-07-26 10:50:03 PDT
This patch should be merged after bug 91570 patch, as it touches the same Skipped file. Can you please take a look there as well?
Comment 18 Bruno Abinader (history only) 2012-07-26 11:03:18 PDT
Comment on attachment 154673 [details]
Re-skip and remove added tests on WK2 platform

Noam granted r/cq flags to bug 91570, so requesting cq again for this.
Comment 19 WebKit Review Bot 2012-07-26 11:20:52 PDT
Comment on attachment 154673 [details]
Re-skip and remove added tests on WK2 platform

Rejecting attachment 154673 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
t
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/spanOverlapRepaint-expected.txt'
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.png'
patching file LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.txt
rm 'LayoutTests/platform/qt-5.0-wk2/fast/table/text-field-baseline-expected.txt'

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Kenneth Ro..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13342899
Comment 20 Bruno Abinader (history only) 2012-07-26 11:32:34 PDT
Created attachment 154703 [details]
Re-skip and remove added tests on WK2 platform (v2)

Rebased. Please notice this patch should land _after_ patch from bug 91570.
Comment 21 Bruno Abinader (history only) 2012-07-26 11:52:21 PDT
Comment on attachment 154703 [details]
Re-skip and remove added tests on WK2 platform (v2)

Removing "cq" flag, as corrected by Alexis, until patch from bug 91570 gets landed.
Comment 22 Bruno Abinader (history only) 2012-07-26 15:44:03 PDT
Igor landed the patch manually, marking as "fixed".